This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 1184221 - debugedit: .debug_line from golang is not updated
debugedit: .debug_line from golang is not updated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1184257
  Show dependency treegraph
 
Reported: 2015-01-20 14:32 EST by Jan Kratochvil
Modified: 2015-04-28 09:17 EDT (History)
9 users (show)

See Also:
Fixed In Version: rpm-4.12.0.1-9.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-22 18:53:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (685 bytes, patch)
2015-02-07 04:48 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2015-01-20 14:32:43 EST
Description of problem:
GOLANG-BUILT-PKG-debuginfo.rpm will contain references to source files in the rpmbuild directory.

Version-Release number of selected component (if applicable):
rpm-build-4.12.0.1-6.fc22.x86_64

How reproducible:
Always.

Steps to Reproduce:
echo 'package main; func main () {}' >main.go
go build -a main.go
/usr/lib/rpm/debugedit -b `dirname $PWD` -d /usr/src/debug main
readelf -wl main|grep main.go

Actual results:
  1	0	0	0	/home/jkratoch/redhat/gdb-clean/gdb/testsuite/gdb.go/main.go

Expected results:
  1	0	0	0	/usr/src/debug/gdb.go/main.go

Additional info:
This is a tracking Bug for the Tools team.
Comment 1 Jan Kratochvil 2015-02-07 04:48:12 EST
Created attachment 989164 [details]
Fix

golang does not produce DW_AT_comp_dir and debugedit ignored .debug_line in such case (despite golang .debug_line contains absolute filenames).

before:
$ gdb etcd
(gdb) l
16      /home/jkratoch/redhat/fedora/etcd/master/etcd-2.0.0/src/github.com/coreos/etcd/main.go: No such file or directory.

after:
$ gdb etcd
(gdb) l
16      // (located at github.com/coreos/etcd/etcdmain) to ensure that etcd is still
17      // "go getable"; e.g. `go get github.com/coreos/etcd` works as expected and
18      // builds a binary in $GOBIN/etcd
19      //
20      // This package should NOT be extended or modified in any way; to modify the
21      // etcd binary, work in the `github.com/coreos/etcd/etcdmain` package.
22      //
23      
24      package main
25      
(gdb) info source
Current source file is /usr/src/debug/etcd-2.0.0/src/github.com/coreos/etcd/main.go
Located in /usr/src/debug/etcd-2.0.0/src/github.com/coreos/etcd/main.go
Contains 32 lines.
Source language is unknown.
Compiled with DWARF 2 debugging format.
Does not include preprocessor macro info.
Comment 2 Jaroslav Reznik 2015-03-03 11:44:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Jan Kratochvil 2015-04-13 16:07:20 EDT
ping
Comment 4 Fedora Update System 2015-04-15 05:40:47 EDT
rpm-4.12.0.1-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rpm-4.12.0.1-9.fc22
Comment 5 Florian Festi 2015-04-15 09:34:48 EDT
Also fixed in rawhide as rpm-4.12.0.1-14.fc23
Comment 6 Jan Chaloupka 2015-04-16 11:30:13 EDT
Hi Florian,

thanks for the fix. Can we fix this for f20 and f21 too?

Regards
Jan
Comment 7 Fedora Update System 2015-04-17 04:56:27 EDT
rpm-4.12.0.1-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpm-4.12.0.1-6.fc21
Comment 8 Fedora Update System 2015-04-17 05:23:05 EDT
rpm-4.11.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.3-3.fc20
Comment 9 Fedora Update System 2015-04-21 15:08:19 EDT
rpm-4.12.0.1-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-04-22 18:53:25 EDT
rpm-4.12.0.1-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-04-28 09:17:37 EDT
rpm-4.11.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.